﻿// created by Josh Heyde
// last updated 27/01/09

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Memories
{
    public partial class frmMemories : Form
    {
        public frmMemories()
        {
            InitializeComponent();
        }

        // event handler for File | New
        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // displays a form to create a memory
            frmCreateMemory f2 = new frmCreateMemory();
            f2.ShowDialog(this);
        }

        // event handler for File | Exit
        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        // a series of mdi layout formats

        // event handler for Window | Cascade
        private void cascadeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.Cascade);
        }

        // event handler for Window | Tile Vertical
        private void tileVerticallyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.TileVertical);
        }

        // event handler for Window | Tile Horizontal
        private void toolStripMenuItem2_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.TileHorizontal);
        }

        // event handler for Window | Arrange Icons
        private void arrangeIconsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.ArrangeIcons);
        }

        // a function to enable or disable the items in the window menu
        // depending on the prescence of a mdi child form
        public void setWindowMenu()
        {
            if (!windowToolStripMenuItem.Enabled)
                windowToolStripMenuItem.Enabled = true;
            else
                if (MdiChildren.Length < 2)
                    windowToolStripMenuItem.Enabled = false;
        }

        // event handler for File | Open
        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            openFileDialog1.FileName = "";
            DialogResult dr = openFileDialog1.ShowDialog();

            // performs the appropriate action depending on the button pressed
            if (dr != DialogResult.OK)
                return;
            else
            {
                // displays the memory in a non editable format
                frmDisplayMemory f3 = new frmDisplayMemory();
                f3.MdiParent = this;
                f3.Text = openFileDialog1.FileName;
                f3.Show();
                f3.readData(openFileDialog1.FileName);
                setWindowMenu();
            }
        }

        // event handler for the form closing
        private void frmMemories_FormClosing(object sender, FormClosingEventArgs e)
        {
            DialogResult dr = MessageBox.Show("Are you sure you wish to exit?", "Closing", MessageBoxButtons.YesNo, MessageBoxIcon.Question);

            if (dr == DialogResult.No)
                e.Cancel = true;
        }
    }
}
